#!/bin/bash
#
# Copyright 2023 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

mkdir -p /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-common/
cp "$PWD"/pyproject-common.toml /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-common/pyproject.toml
cp -r "$PWD"/id_broker_common /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-common/
mkdir -p /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-provisioning-api/
cp "$PWD"/pyproject_provisioning.toml /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-provisioning-api/pyproject.toml
cp -r "$PWD"/provisioning_plugin /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-provisioning-api/
mkdir -p /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-self-disclosure-api/
cp "$PWD"/pyproject_self_disclosure.toml /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-self-disclosure-api/pyproject.toml
cp -r "$PWD"/self_disclosure_plugin /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins/id-broker-self-disclosure-api/

update_api_plugins /var/lib/univention-appcenter/apps/ucsschool-apis/data/plugins
pip install pytest